cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/articles/settings/non-separator-tokens' \
-H 'Authorization: Bearer API_KEY'client.index('books').getNonSeparatorTokens()$client->index('articles')->getNonSeparatorTokens();client.index('articles').get_non_separator_tokens()client.index("articles").getNonSeparatorTokensSettings();client.index('articles').non_separator_tokensclient.Index("articles").GetNonSeparatorTokens()await client.Index("movies").GetNonSeparatorTokensAsync();let task: TaskInfo = client
.index('articles')
.get_non_separator_tokens()
.await
.unwrap();await client.index('articles').getNonSeparatorTokens();client.index("books").getNonSeparatorTokens { result in
// handle result
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Non-separator tokens
Get nonSeparatorTokens
Returns the current value of the nonSeparatorTokens setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
non-separator-tokens
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/articles/settings/non-separator-tokens' \
-H 'Authorization: Bearer API_KEY'client.index('books').getNonSeparatorTokens()$client->index('articles')->getNonSeparatorTokens();client.index('articles').get_non_separator_tokens()client.index("articles").getNonSeparatorTokensSettings();client.index('articles').non_separator_tokensclient.Index("articles").GetNonSeparatorTokens()await client.Index("movies").GetNonSeparatorTokensAsync();let task: TaskInfo = client
.index('articles')
.get_non_separator_tokens()
.await
.unwrap();await client.index('articles').getNonSeparatorTokens();client.index("books").getNonSeparatorTokens { result in
// handle result
}[]{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the nonSeparatorTokens setting.
Was this page helpful?